[package]
name = "test_zk_contract"
version = "0.1.0"
edition = "2021"
license = "MIT"

[features]
abi = ["pbc_contract_common/abi", "pbc_contract_codegen/abi", "pbc_traits/abi", "create_type_spec_derive/abi", "pbc_lib/abi"]

[lib]
crate-type = ['cdylib']

[package.metadata.zk]
zk-compute-path = "src/zk_compute.rs"

[package.metadata.zkcompiler]
url = "https://gitlab.com/api/v4/projects/37549006/packages/maven/com/partisiablockchain/language/zkcompiler/9999.0.0/zkcompiler-jar-with-dependencies.jar"

[dependencies]
pbc_contract_common = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2", features = ["zk"] }
pbc_contract_codegen = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2", features = ["zk"] }
pbc_traits = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }
pbc_lib = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }
read_write_rpc_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }
read_write_state_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }
create_type_spec_derive = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }
pbc_zk = { git = "https://git@gitlab.com/partisiablockchain/language/contract-sdk.git", tag = "9.1.2" }

serde_json = "1.0"
